Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.cms
Class SignerIdentifier

    java.lang.Object
      |
      +--org.bouncycastle.asn1.cms.SignerIdentifier

All Implemented Interfaces:
  DEREncodable

public class SignerIdentifier
extends java.lang.Object
implements DEREncodable

Constructor Summary
`SignerIdentifier(ASN1OctetString id)`
`SignerIdentifier(DERObject id)`
`SignerIdentifier(IssuerAndSerialNumber id)`

Method Summary
`DERObject` | `getDERObject()` SignerIdentifier ::= CHOICE { issuerAndSerialNumber IssuerAndSerialNumber, subjectKeyIdentifier [0] SubjectKeyIdentifier } SubjectKeyIdentifier ::= OCTET STRING
`DEREncodable` | `getId()`
`static SignerIdentifier` | `getInstance(java.lang.Object o)` return a SignerIdentifier object from the given object.
`boolean` | `isTagged()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SignerIdentifier

    public SignerIdentifier(IssuerAndSerialNumber id)

### SignerIdentifier

    public SignerIdentifier(ASN1OctetString id)

### SignerIdentifier

    public SignerIdentifier(DERObject id)

Method Detail

### getInstance

    public static SignerIdentifier getInstance(java.lang.Object o)

  return a SignerIdentifier object from the given object.

  Parameters:
    `o` - the object we want converted.
  Throws:
    `java.lang.IllegalArgumentException` - if the object cannot be converted.

### isTagged

    public boolean isTagged()

### getId

    public DEREncodable getId()

### getDERObject

    public DERObject getDERObject()

       SignerIdentifier ::= CHOICE {
       	issuerAndSerialNumber IssuerAndSerialNumber,
       	subjectKeyIdentifier [0] SubjectKeyIdentifier
       }

       SubjectKeyIdentifier ::= OCTET STRING

  Specified by:
    `getDERObject` in interface `DEREncodable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD